## stack-v2.6.5-20200908.tar.gz

=== src/3rdparty/libcrashreporter-qt/CMakeLists.txt ===
project(libcrashreporter-qt)
cmake_minimum_required(VERSION 3.1)

if(POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

option(ENABLE_GPL_CODE OFF)

find_package(Qt5 COMPONENTS Core Network Widgets)

if((CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_FLAGS) OR
   (UNIX AND NOT APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    # Breakpad uses GNU compiler extensions like typeof.
    # Luckily these features are not used on OSX, so we can build the
    # crashreporter there with the normal C++11 standard.
    string(REPLACE "-std=c++11" "-std=gnu++11" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
    string(REPLACE "-std=c++14" "-std=gnu++14" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
endif()

add_subdirectory(3rdparty)
add_subdirectory(src)

=== src/3rdparty/libcrashreporter-qt/src/libcrashreporter-gui/CMakeLists.txt ===
if(NOT ENABLE_GPL_CODE)
    message(FATAL_ERROR "Using the Linux build requires ENABLE_GPL_CODE to be true.")
endif()

set(crashreporter_SOURCES CrashReporter.cpp CrashReporterGzip.cpp)
set(crashreporter_UI CrashReporter.ui)
set(crashreporter_RC ../../resources.qrc)
set(crashreporter_INCLUDE_DIRECTORIES ${CMAKE_CURRENT_LIST_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})

if(UNIX AND NOT APPLE)
list(APPEND crashreporter_INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_LIST_DIR}/../../3rdparty/drkonqi-parser
)
list(APPEND crashreporter_LIBRARIES
    drkonqi_backtrace_parser
)
list(APPEND crashreporter_SOURCES
    linux-backtrace-generator/crashedapplication.cpp
    linux-backtrace-generator/backtracegenerator.cpp
    linux-backtrace-generator/debugger.cpp
    linux-backtrace-generator/crqt-kmacroexpander.cpp
    linux-backtrace-generator/crqt-kmacroexpander_unix.cpp
    linux-backtrace-generator/crqt-kshell.cpp
    linux-backtrace-generator/crqt-kshell_unix.cpp
)
endif()

add_library(crashreporter-gui STATIC
    ${crashreporter_SOURCES}
    ${crashreporter_HEADERS_MOC}
    ${crashreporter_UI_HEADERS}
    ${crashreporter_RC_RCC}
)

target_include_directories(crashreporter-gui PUBLIC ${crashreporter_INCLUDE_DIRECTORIES})

target_link_libraries(crashreporter-gui
    Qt5::Core
    Qt5::Widgets
    Qt5::Network
    ${crashreporter_LIBRARIES}
)

set_target_properties(crashreporter-gui PROPERTIES AUTOUIC ON)
set_target_properties(crashreporter-gui PROPERTIES AUTOMOC ON)
#install(TARGETS crashreporter-gui
#    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
#    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
#)

=== debian/changelog ===
stack-client (2.6.5-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Wed, 9 Sep 2020 09:00:00 +0100

stack-client (2.6.4-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Wed, 6 May 2020 09:00:00 +0100

stack-client (2.6.2-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Mon, 20 Jan 2020 09:00:00 +0100

stack-client (2.4.1-1.0~xenial2) xenial; urgency=medium

  * Minor update with filename fix

 -- TransIP <support@transip.nl>  Tue, 13 Mar 2018 09:00:00 +0100

stack-client (2.4.1-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Mon, 5 Mar 2018 09:00:00 +0100

stack-client (2.4.0-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Mon, 15 Jan 2018 09:00:00 +0100

stack-client (2.3.1-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Thu, 23 Mar 2017 19:07:36 +0100

stack-client (2.3.0-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Tue, 21 Mar 2017 19:34:13 +0100

stack-client (2.2.4-1.4~xenial1) xenial; urgency=medium

  * The locale-specific icon names are correct too

 -- TransIP <support@transip.nl>  Tue, 7 Feb 2017 19:55:40 +0100

stack-client (2.2.4-1.3~xenial1) xenial; urgency=medium

  * Caja syncstate plugin is built.
  * The syncstate plugin has application-specific name

 -- TransIP <support@transip.nl>  Fri, 27 Jan 2017 19:34:18 +0100

stack-client (2.2.4-1.2~xenial1) xenial; urgency=medium

  * Fixed appname in the Nemo syncstate extension.

 -- TransIP <support@transip.nl>  Thu, 19 Jan 2017 16:46:50 +0100

stack-client (2.2.4-1.1~xenial1) xenial; urgency=medium

  * Added Nautilus and Nemo syncstate extensions.

 -- TransIP <support@transip.nl>  Tue, 17 Jan 2017 19:55:32 +0100

stack-client (2.2.4-1.0~xenial1) xenial; urgency=medium

  * Initial release.

 -- TransIP <support@transip.nl>  Wed, 14 Dec 2016 20:07:46 +0100

=== arch/PKGBUILD ===
# Maintainer: TransIP <support@transip.nl>
# See: https://git.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/nextcloud-client#n45

pkgname=stack-client
pkgver=%VERSION%
pkgrel=0
pkgdesc='STACK desktop client'
arch=(x86_64)
url='https://transip.nl/stack'
license=(GPL)
depends=(openssl sqlite qtkeychain qt5-svg qt5-webengine xdg-utils libcloudproviders)
makedepends=(doxygen extra-cmake-modules kio python-sphinx qt5-tools git cmocka libffi)
optdepends=(
  'kio: integration with Dolphin'
  'nemo-python: integration with Nemo'
  'python-nautilus: integration with Nautilus'
  'python2-caja: integration with Caja'
)
source=($pkgname-pull1909.patch::https://github.com/nextcloud/desktop/pull/1909.patch)
backup=('etc/stack/sync-exclude.lst')
validpgpkeys=("66A0D3C26029EC5F4ECEAC74930768AFD69BD465")
sha256sums=('572ed5eddad3a3de38d744b3470a2461a1838198686660fc2a52b57ac7e1003c')

prepare() {
  cd %CLIENTDIR%

  # Nothing to do
}

build() {
  patch -Np1 --directory "%CLIENTDIR%" -i $pkgname-pull1909.patch

  cd %CLIENTDIR%

  # Use system GNUInstallDirs.cmake so that we can benefit from
  # https://gitlab.kitware.com/cmake/cmake/merge_requests/3735
  rm -v cmake/modules/GNUInstallDirs.cmake

  # bundled breakpad in libcrashreporter-qt submodule is too old and does not build with glibc >= 2.26
  # Upstream fix: https://github.com/google/breakpad/commit/bddcc58860f522a0d4cbaa7e9d04058caee0db9d
  cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DNO_SHIBBOLETH=1 \
    -DWITH_CRASHREPORTER=OFF \
    -DMIRALL_VERSION_BUILD=%BUILDID% \
    -DOEM_THEME_DIR=%THEMEDIR% \
    -DMIRALL_VERSION_SUFFIX= \
    %CLIENTDIR%

  make
}

check() {
  cd %CLIENTDIR%

  # Tests fail if $TMPDIR is too small; specify an alternative for machines
  # with a small /tmp partition.
  # TMPDIR="$srcdir/tmpdir" make test ARGS="-V"
}

package() {
  cd %CLIENTDIR%

  make DESTDIR="$pkgdir" install

  # Move files to the proper directory for Arch, see: https://www.freedesktop.org/wiki/Software/systemd/TheCaseForTheUsrMerge/
  if [ -d "$pkgdir/lib" ]; then
    mkdir -p $pkgdir/usr/lib
    mv $pkgdir/lib/* $pkgdir/usr/lib
    rm -rf $pkgdir/lib
  fi

  if [ -d "$pkgdir/lib64" ]; then
    mkdir -p $pkgdir/usr/lib64
    mv $pkgdir/lib64/* $pkgdir/usr/lib64
    rm -rf $pkgdir/lib64
  fi
}

=== debian/control ===
Source: stack-client
Section: contrib/devel
Priority: optional
Maintainer: TransIP <support@transip.nl>
Build-Depends: cmake,
               debhelper,
               cdbs,
               dh-python,
               extra-cmake-modules (>= 5.16),
               kdelibs5-dev,
               libkf5kio-dev,
               libcmocka-dev,
               libdbus-1-dev,
               libhttp-dav-perl,
               libinotify-dev [kfreebsd-any],
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libsqlite3-dev,
               libssl-dev (>= 1.1.0),
               zlib1g-dev,
               optipng,
               pkg-kde-tools,
               python-sphinx | python3-sphinx,
               python3-all,
               qt5keychain-dev,
               qtwebengine5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xvfb
Standards-Version: 3.9.8
Homepage: https://transip.nl/stack

Package: stack-client
Architecture: any
Depends: libstacksync0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, stack-client-l10n
Recommends: libgnome-keyring0
Description: stack desktop sync client
 Use the desktop client to keep your files synchronized
 between your stack server and your desktop. Select
 one or more directories on your local machine and always
 have access to your latest files wherever you are.

Package: libstacksync0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stack sync library
 Used by the stack desktop client as the synchronization engine.

Package: libstacksync-dev
Architecture: any
Section: contrib/libdevel
Depends: libstacksync0 (=${binary:Version}), ${misc:Depends}
Description: stack sync library development files
 The headers and development library for the stack sync library.

Package: stack-client-l10n
Architecture: all
Depends: ${misc:Depends}
Description: stack client internatialization files
 The translation files.

Package: stack-client-nautilus
Architecture: all
Depends: stack-client (>=${binary:Version}), libstacksync0, python-nautilus, nautilus, ${misc:Depends}
Description: Nautilus plugin for stack
 This package contains a Nautilus plugin to display
 synchronization status icons for stack files.

Package: stack-client-nemo
Architecture: all
Depends: stack-client (>=${binary:Version}), libstacksync0, python-nemo | nemo-python, nemo, ${misc:Depends}
Description: Nemo plugin for stack
 This package contains a Nemo plugin to display
 synchronization status icons for stack files.

Package: stack-client-caja
Architecture: all
Depends: stack-client (>=${binary:Version}), libstacksync0, python-caja, caja, ${misc:Depends}
Description: Caja plugin for stack
 This package contains a Caja plugin to display
 synchronization status icons for stack files.

Package: stack-client-dolphin
Architecture: any
Depends: dolphin (>= 4:15.12.1), libstacksync0 (= ${binary:Version}), stack-client, ${misc:Depends}, ${shlibs:Depends}
Description: Dolphin plugin for stack
 This package contains a Dolphin plugin to display
 synchronization status icons for stack files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_SHLIBDEPS_INCLUDE=$(CURDIR)/$(DEB_BUILDDIR)/csync/src

DEB_SRCDIR=client
DEB_CMAKE_EXTRA_FLAGS = -DOEM_THEME_DIR=$(CURDIR)/stacktheme -DMIRALL_VERSION_SUFFIX="" -DCMAKE_SKIP_RPATH=OFF -DCMAKE_SKIP_BUILD_RPATH=ON -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON -DMIRALL_VERSION_BUILD=$(BUILDID) -DKDE_INSTALL_USE_QT_SYS_PATHS=1 -DWITH_CRASHREPORTER=OFF -DNO_SHIBBOLETH=1
